function Initialize()

		afterText = SKIN:GetVariable('AfterText')
		untilText = SKIN:GetVariable('UntilText')
		halfText = SKIN:GetVariable('HalfText')
		
		numTable = {}
		
		numTable['0'] = 'zero'
		numTable['1'] = 'one'
		numTable['2'] = 'two'
		numTable['3'] = 'three'
		numTable['4'] = 'four'
		numTable['5'] = 'five'
		numTable['6'] = 'six'
		numTable['7'] = 'seven'
		numTable['8'] = 'eight'
		numTable['9'] = 'nine'
		numTable['10'] = 'ten'
		numTable['11'] = 'eleven'
		numTable['12'] = 'twelve'
		numTable['13'] = 'thirteen'
		numTable['14'] = 'fourteen'
		numTable['15'] = 'quarter'
		numTable['16'] = 'sixteen'
		numTable['17'] = 'seventeen'
		numTable['18'] = 'eighteen'
		numTable['19'] = 'nineteen'
		numTable['30'] = 'half'

end

function Update()

	hour = tonumber(os.date('%I'))
	minute = tonumber(os.date('%M'))
	
	if minute < 30 then
		adjustedMinute = minute
		midText = afterText
	elseif minute == 30 then
		adjustedMinute = minute
		midText = halfText
	else
		midText = untilText
		adjustedMinute = 60 - minute
		hour = hour == 12 and 1 or hour + 1
	end

	if adjustedMinute >= 20 and adjustedMinute < 30 then 
		if adjustedMinute == 20 then
			minuteText = 'twenty'
		else
			minuteText = 'twenty'..' '..numTable[tostring(adjustedMinute - 20)]
		end
	else
		if adjustedMinute < 10 then
			if adjustedMinute == 1 then
				minuteText = numTable[tostring(adjustedMinute)]..' minute'
			else
				minuteText = numTable[tostring(adjustedMinute)]..' minutes'
			end
		else
			minuteText = numTable[tostring(adjustedMinute)]
		end
	end

	if adjustedMinute == 0 then
		return numTable[tostring(hour)]..' o\'clock'
	else
		return minuteText.. ' '..midText..' '..numTable[tostring(hour)]
	end

end
